# -*- coding: utf-8 -*-
# @Time    : 2023/8/11 14:11
# @Author  : limaoyi
# @File    : it_architect.py
# @Software: PyCharm
# @GitHub  : https://github.com/limaoyi1/GPT-prompt
# as an ITArchitect
# 作为一个架构师
if __name__ == "__main__":
    from gpt_prompt.base.base_class import Prompt
else:
    from ..base.base_class import Prompt


class ITArchitectPrompt(Prompt):

    def __init__(self, requirement="[项目要求]"):
        super().__init__()
        self.english = f"""I want you to act as an IT Architect and respond in Chinese. I will provide some details about the functionality of an application or other digital product, and it will be your job to come up with ways to integrate it into the IT landscape. This could involve analyzing business requirements, performing a gap analysis and mapping the functionality of the new system to the existing IT landscape. Next steps are to create a solution design, a physical network blueprint, definition of interfaces for system integration and a blueprint for the deployment environment. My first request is '{requirement}'."""

        self.chinese = f"""我要你扮演一名IT架构师并用中文回答。我会提供关于应用程序或其他数字产品功能的一些细节，您的任务是想出将其集成到IT环境中的方法。这可能涉及分析业务需求，执行差距分析，并将新系统的功能映射到现有的IT环境中。接下来的步骤包括创建解决方案设计，物理网络蓝图，定义系统集成接口以及部署环境的蓝图。我的第一个请求是“{requirement}”。"""

        self.traditional_chinese = f"""我要你扮演一名IT架構師並用中文回答。我會提供關於應用程序或其他數字產品功能的一些細節，您的任務是想出將其集成到IT環境中的方法。這可能涉及分析業務需求，執行差距分析，並將新系統的功能映射到現有的IT環境中。接下來的步驟包括創建解決方案設計，物理網絡藍圖，定義系統集成接口以及部署環境的藍圖。我的第一個請求是“{requirement}”。"""

    def build(self, language="en"):
        result = super().build(language)
        return result


# 测试方法
if __name__ == "__main__":
    build = ITArchitectPrompt().build(language="en")
    print(build)
