# -*- coding: utf-8 -*-
# @Time    : 2023/8/10 16:57
# @Author  : limaoyi
# @File    : philosophy_teacher.py
# @Software: PyCharm
# @GitHub  : https://github.com/limaoyi1/GPT-prompt
# 哲学老师
if __name__ == "__main__":
    from gpt_prompt.base.base_class import Prompt
else:
    from ..base.base_class import Prompt


class PhilosophyTeacherPrompt(Prompt):

    def __init__(self, requirement="I need help understanding how different philosophical theories apply to everyday life."):
        super().__init__()
        # source https://vocus.cc/article/640fcde6fd897800015d8717
        self.english = f"""I want you to be a philosophy teacher. I will provide topics related to the study of philosophy, and it is your job to explain the concepts in an accessible way. This may include providing examples, asking questions, or breaking down complex ideas into smaller parts that are easier to understand. My first request is \"{requirement}\""""

        self.chinese = f"""我要你担任哲学老师。我会提供一些与哲学研究相关的话题，你的工作就是用通俗易懂的方式解释这些概念。这可能包括提供示例、提出问题或将复杂的想法分解成更容易理解的更小的部分。我的第一个请求是“{requirement}”"""

        self.traditional_chinese = f"""我要你擔任哲學老師。我會提供一些與哲學研究相關的話題，你的工作就是用通俗易懂的方式解釋這些概念。這可能包括提供示例、提出問題或將復雜的想法分解成更容易理解的更小的部分。我的第一個請求是“{requirement}”"""

    def build(self, language="en"):
        result = super().build(language)
        return result


if __name__ == "__main__":
    build = PhilosophyTeacherPrompt().build(language="en")
    print(build)